<template>
  <ObTable
    :items="fields"
    :columns="columns"
    class="values-table"
  >
    <template
      slot="date"
      slot-scope="{ data }"
    >
      {{ moment(data.item.source.updatedAt).format('DD.MM.YYYY') }}

      <span class="-gray-window">
        {{ moment(data.item.source.updatedAt).format('HH:mm') }}
      </span>
    </template>

    <template
      slot="priority"
      slot-scope="{ data }"
    >
      <i
        v-if="data.item.isPriority"
        class="icon checked -caribbean-green priority-icon"
      />
    </template>
  </ObTable>
</template>

<script>
  import moment from 'moment'
  import ObTable from 'common-components/src/obComponents/obTable'

  export default {
    name: 'view-values',
    components: {
      ObTable
    },
    data () {
      return {
        moment
      }
    },
    computed: {
      columns () {
        return [
          {
            title: 'Значение',
            exactWidth: '17%',
            sortDisable: true,
            html: ({ data }) => {
              if (typeof data.value === 'boolean') {
                return data.value ? 'Да' : 'Нет'
              } else {
                return data.value
              }
            }
          },
          {
            title: 'Источник',
            exactWidth: '49%',
            sortDisable: true,
            html: ({ source }) => source.title
          },
          {
            title: 'Дата',
            exactWidth: '23%',
            sortDisable: true,
            slotName: 'date'
          },
          {
            sortDisable: true,
            slotName: 'priority'
          }
        ]
      }
    },
    props: {
      fields: {
        type: Array,
        default: () => []
      }
    }
  }
</script>

<style lang="scss" scoped>
  .values-table {
    border-left: 1px solid $lavender;
    border-right: 1px solid $lavender;

    .priority-icon {
      display: block; // To centering icon
    }
  }
</style>
